> ## Documentation Index
> Fetch the complete documentation index at: https://docs.probe.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Sign-up email



## OpenAPI

````yaml https://api.probedev.com/frontend/api/v1/openapi.json?include-base-path=true&v=2025-07-30 post /frontend/api/v1/auth/verify
openapi: 3.1.0
info:
  title: 'Probe.dev API Version: v1'
  description: Probe.dev API.
  version: v1.0
servers:
  - url: https://{host}
    variables:
      host:
        enum:
          - api.probe.dev
        default: api.probedev.com
        description: Server Hostname
security: []
tags:
  - name: Media
  - name: Auth
  - name: User
  - name: Billing
  - name: Statistics
paths:
  /frontend/api/v1/auth/verify:
    post:
      tags:
        - Auth
      summary: Verify Sign-up email
      operationId: routes/auth.PostVerify
      parameters:
        - name: X-Recaptcha-Token
          in: header
          required: true
          schema:
            minLength: 6
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthPostVerifyRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthPostVerifyResponse'
components:
  schemas:
    AuthPostVerifyRequest:
      properties:
        verify-token:
          description: Signup Email Verification token.
          format: jwt
          type: string
      type: object
    AuthPostVerifyResponse:
      properties:
        email:
          type: string
        status:
          $ref: '#/components/schemas/UsercommonStatus'
        success:
          type: boolean
      type: object
    UsercommonStatus:
      enum:
        - anonymous
        - pending
        - active
        - suspended
      type: string

````